Source: dleverton
Upstream: submitted, but this possibly reduces portability, so may not
          be accepted
Reason: avoid requiring Glk applications to be built with the -rdynamic flag

--- glkloader-0.3.2/glkloader.c~	2001-06-23 21:54:17.000000000 +0100
+++ glkloader-0.3.2/glkloader.c	2008-01-29 20:53:25.000000000 +0000
@@ -30,6 +30,7 @@
 #include <stdlib.h>
 #include <stdio.h>
 #include <glk.h>
+#include <glkstart.h>
 
 #include "defines.h"
 #include "xpconfig/xpconfig.h"
@@ -240,3 +241,13 @@
 
     return retVal;
 }
+
+void (*glkloader__glk_main)(void) = &glk_main;
+
+int glkunix_startup_code(glkunix_startup_t *) __attribute__((weak));
+int glkunix_startup_code(glkunix_startup_t *x)
+{
+     return 1;
+}
+
+glkunix_argumentlist_t glkunix_arguments[] __attribute__((weak)) = { { NULL, 0, NULL } };
